<html>
<head>
<title>OGRE: OgreILCodecs.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_d6c9b501d36b850bf0bac687671293db.html">OgreMain</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_f35e1e76cd4423745a1cccb1f171d4e3.html">include</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_2ff5b5fbc695dec6c750a718c789bf4d.html">Attic</a></div>
<h1>Attic/OgreILCodecs.h</h1><a href="Attic_2OgreILCodecs_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">(Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2006 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment">Also see acknowledgements in Readme.html</span>
<a name="l00009"></a>00009 <span class="comment"></span>
<a name="l00010"></a>00010 <span class="comment">This program is free software; you can redistribute it and/or modify it under</span>
<a name="l00011"></a>00011 <span class="comment">the terms of the GNU Lesser General Public License as published by the Free Software</span>
<a name="l00012"></a>00012 <span class="comment">Foundation; either version 2 of the License, or (at your option) any later</span>
<a name="l00013"></a>00013 <span class="comment">version.</span>
<a name="l00014"></a>00014 <span class="comment"></span>
<a name="l00015"></a>00015 <span class="comment">This program is distributed in the hope that it will be useful, but WITHOUT</span>
<a name="l00016"></a>00016 <span class="comment">ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS</span>
<a name="l00017"></a>00017 <span class="comment">FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">You should have received a copy of the GNU Lesser General Public License along with</span>
<a name="l00020"></a>00020 <span class="comment">this program; if not, write to the Free Software Foundation, Inc., 59 Temple</span>
<a name="l00021"></a>00021 <span class="comment">Place - Suite 330, Boston, MA 02111-1307, USA, or go to</span>
<a name="l00022"></a>00022 <span class="comment">http://www.gnu.org/copyleft/lesser.txt.</span>
<a name="l00023"></a>00023 <span class="comment"></span>
<a name="l00024"></a>00024 <span class="comment">You may alternatively use this source under the terms of a specific version of</span>
<a name="l00025"></a>00025 <span class="comment">the OGRE Unrestricted License provided you have obtained such a license from</span>
<a name="l00026"></a>00026 <span class="comment">Torus Knot Software Ltd.</span>
<a name="l00027"></a>00027 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00028"></a>00028 <span class="comment">*/</span>
<a name="l00029"></a>00029 <span class="preprocessor">#ifndef _ILCodecs_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span><span class="preprocessor">#define _ILCodecs_H__</span>
<a name="l00031"></a>00031 <span class="preprocessor"></span>
<a name="l00032"></a>00032 <span class="preprocessor">#include &lt;list&gt;</span>
<a name="l00033"></a>00033 
<a name="l00034"></a><a class="code" href="namespaceOgre.html">00034</a> <span class="keyword">namespace </span>Ogre 
<a name="l00035"></a>00035 {
<a name="l00036"></a>00036     <span class="keyword">class </span><a class="code" href="classOgre_1_1ILImageCodec.html" title="Codec specialized in images loaded using DevIL.">ILImageCodec</a>;
<a name="l00037"></a>00037     
<a name="l00038"></a><a class="code" href="classOgre_1_1ILCodecs.html">00038</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#f4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1ILCodecs.html">ILCodecs</a> {
<a name="l00039"></a>00039     <span class="keyword">protected</span>:
<a name="l00040"></a><a class="code" href="classOgre_1_1ILCodecs.html#1ebf6da29901309434aa1b7228be53bc">00040</a>        <span class="keyword">static</span> std::list&lt;ILImageCodec*&gt; codeclist;
<a name="l00041"></a>00041     <span class="keyword">public</span>:
<a name="l00042"></a>00042         <span class="comment">// Register all codecs provided by this module</span>
<a name="l00043"></a>00043        <span class="keyword">static</span> <span class="keywordtype">void</span> registerCodecs(<span class="keywordtype">void</span>);
<a name="l00044"></a>00044        <span class="comment">// Delete all codecs provided by this module</span>
<a name="l00045"></a>00045        <span class="keyword">static</span> <span class="keywordtype">void</span> deleteCodecs(<span class="keywordtype">void</span>);
<a name="l00046"></a>00046     };
<a name="l00047"></a>00047 
<a name="l00048"></a>00048 } <span class="comment">// namespace Ogre</span>
<a name="l00049"></a>00049 
<a name="l00050"></a>00050 
<a name="l00051"></a>00051 <span class="preprocessor">#endif // #ifndef _DDSCodec_H__</span>
<a name="l00052"></a>00052 <span class="preprocessor"></span>
</pre></div><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:48:51 2008
</p>
</body>
</html>
